IoT Core Service, REST: Registry.List
Retrieves the list of registries in the specified folder.
HTTP request
GET https://iot-devices.api.cloud.yandex.net/iot-devices/v1/registries
Query parameters
|
Field |
Description |
|
folderId |
string Required field. ID of the folder to list registries in. The maximum string length in characters is 50. |
|
pageSize |
string (int64) The maximum number of results per page that should be returned. If the number of available Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"registries": [
{
"id": "string",
"folderId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"status": "string",
"logGroupId": "string",
"logOptions": {
// Includes only one of the fields `logGroupId`, `folderId`
"logGroupId": "string",
"folderId": "string",
// end of the list of possible fields
"disabled": "boolean",
"minLevel": "string"
}
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
registries[] |
List of registries. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than |
Registry
A registry. For more information, see Registry.
|
Field |
Description |
|
id |
string ID of the registry. |
|
folderId |
string ID of the folder that the registry belongs to. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
name |
string Name of the registry. The name is unique within the folder. |
|
description |
string Description of the registry. 0-256 characters long. |
|
labels |
object (map<string, string>) Resource labels as |
|
status |
enum (Status) Status of the registry.
|
|
logGroupId |
string ID of the logs group for the specified registry. |
|
logOptions |
Options for logging registry events |
LogOptions
|
Field |
Description |
|
logGroupId |
string Entry should be written to log group resolved by ID. Value must match the regular expression Includes only one of the fields Log entries destination. |
|
folderId |
string Entry should be written to default log group for specified folder. Value must match the regular expression Includes only one of the fields Log entries destination. |
|
disabled |
boolean Is logging from registry disabled. |
|
minLevel |
enum (Level) Minimum log entry level.
|